## Apache Zeta Components Manual :: Docs For Class ezcWebdavDisplayInformation

### Webdav::ezcWebdavDisplayInformation

### Class ezcWebdavDisplayInformation

Display information base class.

Instances of classes extending this base class are used inside ezcWebdavTransport to encapsulate response information to be displayed.

Source for this file: /Webdav/src/structs/display_information.php

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcWebdavStringDisplayInformation | Display information with string body.
ezcWebdavXmlDisplayInformation | Display information.
ezcWebdavEmptyDisplayInformation | Display information with no body.

### Member Variables

public DOMDocument|sring|null | `$body` Representation of the response body. The concrete data type of this property is defined in the extending classes.
public ezcWebdavResponse | `$response` Response object to extract headers from.

### Method Summary

public void | `__construct( $response , $body )` Creates a new display information.

### Methods

#### __construct

void __construct( ezcWebdavResponse $response , DOMDocument|string|null $body )

Creates a new display information.

By default an instance of this class carries a ezcWebdavResponse $repsonse object, which holds header information, and a $body. The content of $body depends on the type of display information. Extending classes may possibly not carry a body at all.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$response` | ezcWebdavResponse |
`$body` | DOMDocument|string|null |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWebdavStringDisplayInformation::__construct()` | Creates a new display information object.
`ezcWebdavXmlDisplayInformation::__construct()` | Creates a new struct.
`ezcWebdavEmptyDisplayInformation::__construct()` | Creates a new struct.

Documentation generated by phpDocumentor 1.4.3